### Method

# Gio InputStream read_all_async

since: 2.44

#### Declaration [src]

    void
    g_input_stream_read_all_async (
      GInputStream* stream,
      void* buffer,
      gsize count,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Request an asynchronous read of `count` bytes from the stream into the buffer starting at `buffer`.

This is the asynchronous equivalent of `g_input_stream_read_all()`.

Call `g_input_stream_read_all_finish()` to collect the result.

Any outstanding I/O request with higher priority (lower numerical value) will be executed before an outstanding request with lower priority. Default priority is `G_PRIORITY_DEFAULT`.

Available since: 2.44

This method completes asynchronously. Use `g_input_stream_read_all_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`buffer`

  Type: An array of `guint8`

  a buffer to read data into (which should be at least count bytes long).

  The argument will be set by the function.
  The length of the array is specified in the `count` argument.
  The returned data is owned by the instance.

`count`

  Type: `gsize`

  The number of bytes that will be read from the stream.

`io_priority`

  Type: `int`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.